Subject: Re: [Simple] WGLC on future status

From: [email-masked]
Date: Tue, 6 Jul 2004 08:07:39 -0400 (EDT)

> Hi,
>
> Some comments on the
> http://www.cs.columbia.edu/sip/draft/timed-status/draft-ietf-simple-future-0
> 2.txt.
>
> 1. The <timed-status> element MUST be qualified with the 'from'
>    attribute and MAY be qualified with an 'until' attribute to describe
>    the time when the status assumed this value and the time until which
>    this element is expected to be valid.
>
> a. What happens when I provide a 'from' attribute but not an 'until'
> attribute? Is the status, note or other presence included in the
> <timed-status> element that I published valid for ever (until I publish
> something else to overwrite it?) or is it valid until my publication
> expires?
>
> It is not clear which are the semantics when the 'until' attribute is not
> provided.

Since tuples could be published without using PUBLISH, I don't think we
can rely on any SIP-level expiration information. Rather, I think the
information is valid until explicitly overridden (or, as noted, until the
underlying publication mechanism removes it). This is no different from
regular (non-timed) presence. I will clarify.

>
> b. What happens to the presence information included in the <timed-status>
> element when the value of the "until" attribute exceeds the publication
> expiration?

If published using PUBLISH, the information would be removed, like all
other such items ("soft state"). Do you think it would be helpful to call
this out explicitly?

>
> c. Based on the above sentence I assume that the use of the 'from'
> attribute
> is required. This is not depicted in the XML Schema definition:
> "<xs:attribute name="from" type="xs:dateTime"/>".
>
> If my above statement is correct I suggest the addition of the
> use="required" attribute in the XML Schema definition.

Good idea; I'll add.

>
> Thanks,
>
> Yannis Pavlidis
> Openwave Systems
> [email-masked]
> +1-303 385 6695
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple